#!/home/lufla/anaconda3/envs/p38/bin/python3.8
import csv
#import pandas as pd
import matplotlib.pyplot as plt

csvFileMax=open('./TMP_max.csv')
#with open('./ciTable.csv') as csv_file:
   
csvmax = csv.reader(csvFileMax, delimiter=';')

csvFileMin=open('./TMP_min.csv')
#with open('./ciTable.csv') as csv_file:
   
csvmin = csv.reader(csvFileMin, delimiter=';')

rowmax = list(csvmax)
rowmin = list(csvmin)
lastd=len(rowmax)

x=[float(ele) for ele in rowmax[0][1:]]
maxval=[]
minval=[]
for hour in range(1,lastd):
   y=[float(ele) for ele in rowmax[hour][1:]]
   maxval.append(max(y))
   y=[float(ele) for ele in rowmin[hour][1:]]
   minval.append(min(y))
ymax=round(max(maxval)+0.5)
ymin=round(min(minval)-0.5)
ymax=ymax+.1*ymax
ymin=ymin-.1*ymin

plt.subplot(3, 2, 1)
plt.ylabel('Temp [K]')
plt.title('TEMPERATURA Max & Min')
plt.xlabel('Levels [mBar]')
plt.axis([50, 1000, ymin, ymax])
plt.grid(True, linestyle='--')
plt.minorticks_on()
for hour in range(1,lastd):
   y=[float(ele) for ele in rowmax[hour][1:]]
   #print(y)
   plt.scatter(x, y, s=10, alpha=0.6, edgecolor='black', linewidth=1)
   plt.tight_layout()
for hour in range(1,lastd):
   y=[float(ele) for ele in rowmin[hour][1:]]
   #print(y)
   plt.scatter(x, y, s=10, alpha=0.6, edgecolor='black', linewidth=1)
   plt.tight_layout()   

csvFileMax.close()
csvFileMin.close()

csvFileMax=open('./RH_max.csv')
#with open('./ciTable.csv') as csv_file:
   
csvmax = csv.reader(csvFileMax, delimiter=';')

csvFileMin=open('./RH_min.csv')
#with open('./ciTable.csv') as csv_file:
   
csvmin = csv.reader(csvFileMin, delimiter=';')

rowmax = list(csvmax)
rowmin = list(csvmin)

x=[float(ele) for ele in rowmax[0][1:]]
maxval=[]
minval=[]
for hour in range(1,lastd):
   y=[float(ele) for ele in rowmax[hour][1:]]
   maxval.append(max(y))
   y=[float(ele) for ele in rowmin[hour][1:]]
   minval.append(min(y))
ymax=round(max(maxval)+0.5)
ymin=round(min(minval)-0.5)
ymax=ymax+.1*ymax
ymin=ymin-.1*ymin

plt.subplot(3, 2, 2)
plt.ylabel('RH [%]')
plt.title('UMIDADE RELATIVA Max & Min')
plt.xlabel('Levels [mBar]')
plt.axis([50, 1000, ymin, ymax])
plt.grid(True, linestyle='--')
plt.minorticks_on()
for hour in range(1,lastd):
   y=[float(ele) for ele in rowmax[hour][1:]]
   #print(y)
   plt.scatter(x, y, s=10, alpha=0.6, edgecolor='black', linewidth=1)
   plt.tight_layout()
for hour in range(1,lastd):
   y=[float(ele) for ele in rowmin[hour][1:]]
   #print(y)
   plt.scatter(x, y, s=10, alpha=0.6, edgecolor='black', linewidth=1)
   plt.tight_layout()  

csvFileMax.close()
csvFileMin.close()

csvFileMax=open('./UGRD_max.csv')
#with open('./ciTable.csv') as csv_file:
   
csvmax = csv.reader(csvFileMax, delimiter=';')

csvFileMin=open('./UGRD_min.csv')
#with open('./ciTable.csv') as csv_file:
   
csvmin = csv.reader(csvFileMin, delimiter=';')

rowmax = list(csvmax)
rowmin = list(csvmin)

x=[float(ele) for ele in rowmax[0][1:]]

maxval=[]
minval=[]
for hour in range(1,lastd):
   y=[float(ele) for ele in rowmax[hour][1:]]
   maxval.append(max(y))
   y=[float(ele) for ele in rowmin[hour][1:]]
   minval.append(min(y))
ymax=round(max(maxval)+0.5)
ymin=round(min(minval)-0.5)
ymax=ymax+.1*ymax
ymin=ymin-.1*ymin

plt.subplot(3, 2, 3)
plt.ylabel('UGRD [m/s]')
plt.title('VENTO ZONAL Max & Min')
plt.xlabel('Levels [mBar]')
plt.axis([50, 1000, ymin, ymax])
plt.grid(True, linestyle='--')
plt.minorticks_on()
for hour in range(1,lastd):
   y=[float(ele) for ele in rowmax[hour][1:]]
   #print(y)
   plt.scatter(x, y, s=10, alpha=0.6, edgecolor='black', linewidth=1)
   plt.tight_layout()
for hour in range(1,lastd):
   y=[float(ele) for ele in rowmin[hour][1:]]
   #print(y)
   plt.scatter(x, y, s=10, alpha=0.6, edgecolor='black', linewidth=1)
   plt.tight_layout()

csvFileMax.close()
csvFileMin.close()  


csvFileMax=open('./VGRD_max.csv')
#with open('./ciTable.csv') as csv_file:
   
csvmax = csv.reader(csvFileMax, delimiter=';')

csvFileMin=open('./VGRD_min.csv')
#with open('./ciTable.csv') as csv_file:
   
csvmin = csv.reader(csvFileMin, delimiter=';')

rowmax = list(csvmax)
rowmin = list(csvmin)

x=[float(ele) for ele in rowmax[0][1:]]

maxval=[]
minval=[]
for hour in range(1,lastd):
   y=[float(ele) for ele in rowmax[hour][1:]]
   maxval.append(max(y))
   y=[float(ele) for ele in rowmin[hour][1:]]
   minval.append(min(y))
ymax=round(max(maxval)+0.5)
ymin=round(min(minval)-0.5)
ymax=ymax+.1*ymax
ymin=ymin-.1*ymin

plt.subplot(3, 2, 4)
plt.ylabel('VGRD [m/s]')
plt.title('VENTO MERIDIONAL Max & Min')
plt.xlabel('Levels [mBar]')
plt.axis([50, 1000, ymin, ymax])
plt.grid(True, linestyle='--')
plt.minorticks_on()
for hour in range(1,lastd):
   y=[float(ele) for ele in rowmax[hour][1:]]
   #print(y)
   plt.scatter(x, y, s=10, alpha=0.6, edgecolor='black', linewidth=1)
   plt.tight_layout()
for hour in range(1,lastd):
   y=[float(ele) for ele in rowmin[hour][1:]]
   #print(y)
   plt.scatter(x, y, s=10, alpha=0.6, edgecolor='black', linewidth=1)
   plt.tight_layout()

csvFileMax.close()
csvFileMin.close()  


csvFileMax=open('./HGT_max.csv')
#with open('./ciTable.csv') as csv_file:
   
csvmax = csv.reader(csvFileMax, delimiter=';')

csvFileMin=open('./HGT_min.csv')
#with open('./ciTable.csv') as csv_file:
   
csvmin = csv.reader(csvFileMin, delimiter=';')

rowmax = list(csvmax)
rowmin = list(csvmin)

x=[float(ele) for ele in rowmax[0][1:]]

maxval=[]
minval=[]
for hour in range(1,lastd):
   y=[float(ele) for ele in rowmax[hour][1:]]
   maxval.append(max(y))
   y=[float(ele) for ele in rowmin[hour][1:]]
   minval.append(min(y))
ymax=round(max(maxval)+0.5)
ymin=round(min(minval)-0.5)
ymax=ymax+.1*ymax
ymin=ymin-.1*ymin

plt.subplot(3, 2, 5)
plt.ylabel('HGT [m]')
plt.title('GEOPOTENCIAL Max & Min')
plt.xlabel('Levels [mBar]')
plt.axis([50, 1000, ymin, ymax])
plt.grid(True, linestyle='--')
plt.minorticks_on()
for hour in range(1,lastd):
   y=[float(ele) for ele in rowmax[hour][1:]]
   #print(y)
   plt.scatter(x, y, s=10, alpha=0.6, edgecolor='black', linewidth=1)
   #plt.tight_layout()
for hour in range(1,lastd):
   y=[float(ele) for ele in rowmin[hour][1:]]
   #print(y)
   plt.scatter(x, y, s=10, alpha=0.6, edgecolor='black', linewidth=1)
   #plt.tight_layout()

csvFileMax.close()
csvFileMin.close() 

plt.savefig('max_min.png', format='png', dpi=1600)
plt.show()


